VOP_IOCTL(9)

NAME
VOP_IOCTL - device specific control

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_IOCTL(struct vnode *vp, u_long command, caddr_t data, int fflag, struct ucred *cred, struct proc *p);

DESCRIPTION
Manipulate a file in device dependent ways.

Its arguments are:

vp  the vnode of the file (normally representing a device)

command
    the device specific operation to perform

cnp extra data for the specified operation

fflag
    some flags ???

cred
    the caller's credentials

p   the calling process

Most filesystems do not implement this entry point.

LOCKS
The file should not be locked on entry.

RETURN VALUES
If successful, zero is returned, otherwise an appropriate error code.

PSEUDOCODE

    int
    vop_ioctl(struct vnode *vp, int command, caddr_t data, int fflag,
    	  struct ucred *cred, struct proc *p)
    {
        return EOPNOTSUPP;
    }

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.